# Uses of Interface
org.opensaml.xacml.ctx.StatusMessageType

Packages that use StatusMessageType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.

## Uses of StatusMessageType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return StatusMessageType
Modifier and Type
Method
Description
`StatusMessageType`
StatusType.`getStatusMessage()`
Gets the status message of status.
Methods in org.opensaml.xacml.ctx with parameters of type StatusMessageType
Modifier and Type
Method
Description
`void`
StatusType.`setStatusMessage(StatusMessageType newStatusMessage)`
Sets the status message for the Status.

## Uses of StatusMessageType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement StatusMessageType
Modifier and Type
Class
Description
`class`
`StatusMessageTypeImpl`
Implementation of `StatusMessageType`.
Fields in org.opensaml.xacml.ctx.impl declared as StatusMessageType
Modifier and Type
Field
Description
`private StatusMessageType`
StatusTypeImpl.`statusMessage`
The status message.
Methods in org.opensaml.xacml.ctx.impl that return StatusMessageType
Modifier and Type
Method
Description
`StatusMessageType`
StatusMessageTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`StatusMessageType`
StatusMessageTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`StatusMessageType`
StatusTypeImpl.`getStatusMessage()`
Gets the status message of status.
Methods in org.opensaml.xacml.ctx.impl with parameters of type StatusMessageType
Modifier and Type
Method
Description
`void`
StatusTypeImpl.`setStatusMessage(StatusMessageType newStatusMessage)`
Sets the status message for the Status.